//---------------------------------------------------------------------------

#ifndef ExamplePropertyEditorUnitH
#define ExamplePropertyEditorUnitH

#include <vcl.h>
#include "DesignIntf.hpp"


class TExamplePropertyEditor : public TPropertyEditor
{
        typedef TPropertyEditor inherited;

public:
   virtual TPropertyAttributes __fastcall GetAttributes(void);
   virtual AnsiString __fastcall GetValue();
   virtual void __fastcall SetValue(const AnsiString Value);
   virtual void __fastcall Edit(void);
   virtual void __fastcall GetValues(Classes::TGetStrProc Proc);

protected:
   #pragma option push -w-inl
   inline __fastcall virtual 
      TExamplePropertyEditor(const _di_IFormDesigner ADesigner,
                            int APropCount)
                            : TPropertyEditor(ADesigner, APropCount)
   { }
   #pragma option pop

public:
   #pragma option push -w-inl
   inline __fastcall virtual ~TCustomProperty(void) { }
   #pragma option pop
};
//---------------------------------------------------------------------------
#endif
