//------------------------------------------------------------------------------------------//
#ifndef FilterEditH
#define FilterEditH
//------------------------------------------------------------------------------------------//#include <vcl\SysUtils.hpp>
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
//------------------------------------------------------------------------------------------//
//------------------------------------------------------------------------------------------//
class PACKAGE TFilterEdit : public TEdit
{
 private:
    AnsiString FFilterString;
    bool       FExcludeFilter;

 protected:
    DYNAMIC void __fastcall KeyPress(char &Key);

 public:
    __fastcall TFilterEdit(TComponent* Owner);

 __published:
    __property AnsiString Filter = {read=FFilterString,
                                    write=FFilterString};

    __property bool ExcludeFilter = {read=FExcludeFilter,
                                     write=FExcludeFilter,
                                     default=false};

};
//------------------------------------------------------------------------------------------//
//------------------------------------------------------------------------------------------//
#endif
