//------------------------------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop
//------------------------------------------------------------------------------------------//

#include "RegistrationForNewAdditionalComponents.h"
#include "NonVCLTypeInfo.h"
#include "PropertyEditorsForNewAdditionalComponents.h"
#include "FilterEdit.h"
#include "EnhancedImage.h"

//------------------------------------------------------------------------------------------//
#pragma package(smart_init)
//------------------------------------------------------------------------------------------//

namespace Registrationfornewadditionalcomponents
{
   void __fastcall PACKAGE Register()
   {
      // Register the Components for this Package

      RegisterComponents( "Additional",
                          OPENARRAY( TMetaClass*,
                                     ( __classid(TEnhancedImage),
                                       __classid(TFilterEdit) ) ) );


      // Register any Property Editors for this Package

      RegisterPropertyEditor(TNonVCLTypeInfo::Int(),
                             __classid(TEnhancedImage),
                             "ImageIndex",
                             __classid(TImageIndexPropertyEditor));


      // Register any Component Editors for this Package

      // NONE

      // Register any Property Filters for this Package

      // NONE


   }
}

//------------------------------------------------------------------------------------------//