object dmMain: TdmMain
  OldCreateOrder = False
  Left = 300
  Top = 99
  Height = 624
  Width = 693
  object cnMain: TIBDatabase
    DatabaseName = 'c:\bcb5book6.gdb'
    Params.Strings = (
      'user_name=SYSDBA'
      'password=masterkey')
    LoginPrompt = False
    DefaultTransaction = trMain
    IdleTimer = 0
    SQLDialect = 1
    TraceFlags = [tfQPrepare, tfQExecute, tfError, tfStmt, tfConnect, tfTransact, tfBlob, tfService, tfMisc]
    AfterConnect = cnMainAfterConnect
    BeforeDisconnect = cnMainBeforeDisconnect
    Left = 24
    Top = 24
  end
  object qrProgram: TIBDataSet
    Database = cnMain
    Transaction = trMain
    ForcedRefresh = True
    AfterPost = qrProgramAfterPost
    OnPostError = qrProgramPostError
    BufferChunks = 1000
    CachedUpdates = False
    DeleteSQL.Strings = (
      'delete from PROGRAM'
      'where'
      '  PRO_ID = :OLD_PRO_ID ')
    InsertSQL.Strings = (
      'insert into PROGRAM'
      '  (PRO_NAME, PRO_MADE)'
      'values'
      '  ( :PRO_NAME, '
      ':PRO_MADE)')
    RefreshSQL.Strings = (
      'Select '
      '  PRO_ID,'
      '  PRO_NAME,'
      '  PRO_MADE'
      'from PROGRAM '
      'where'
      'PRO_NAME = :PRO_NAME'
      'or PRO_ID = :PRO_ID'
      ''
      '')
    SelectSQL.Strings = (
      'select * from PROGRAM'
      'order by pro_id')
    ModifySQL.Strings = (
      'update PROGRAM'
      'set'
      '  PRO_NAME = :PRO_NAME,'
      '  PRO_MADE = :PRO_MADE'
      'where'
      '  PRO_ID = :OLD_PRO_ID')
    Left = 32
    Top = 160
    object qrProgramPRO_ID: TIntegerField
      FieldName = 'PRO_ID'
      ReadOnly = True
    end
    object qrProgramPRO_NAME: TIBStringField
      FieldName = 'PRO_NAME'
      Required = True
      Size = 80
    end
    object qrProgramPRO_MADE: TDateTimeField
      FieldName = 'PRO_MADE'
    end
  end
  object dsProgram: TDataSource
    DataSet = qrProgram
    Left = 120
    Top = 160
  end
  object trMain: TIBTransaction
    Active = False
    DefaultDatabase = cnMain
    DefaultAction = TARollback
    Params.Strings = (
      'read_committed'
      'rec_version'
      'nowait')
    AutoStopAction = saNone
    Left = 32
    Top = 88
  end
  object qrRevision: TIBDataSet
    Database = cnMain
    Transaction = trMain
    ForcedRefresh = True
    AfterPost = qrRevisionAfterPost
    BeforePost = qrRevisionBeforePost
    BufferChunks = 1000
    CachedUpdates = False
    DeleteSQL.Strings = (
      'delete from REVISION'
      'where'
      '  R_ID = :OLD_R_ID')
    InsertSQL.Strings = (
      'insert into REVISION'
      '  (R_ID, R_DATE, R_NUMBER, R_COMMENTS, PRO_ID)'
      'values'
      '  (:R_ID, :R_DATE, :R_NUMBER, :R_COMMENTS, :PRO_ID)')
    RefreshSQL.Strings = (
      'Select '
      '  R_ID,'
      '  R_DATE,'
      '  R_NUMBER,'
      '  R_COMMENTS,'
      '  PRO_ID'
      'from REVISION '
      'where'
      '  pro_id = :pro_id'
      '  and r_number = :r_number')
    SelectSQL.Strings = (
      'select * from REVISION'
      'where pro_id = :pro_id')
    ModifySQL.Strings = (
      'update REVISION'
      'set'
      '  R_DATE = :R_DATE,'
      '  R_NUMBER = :R_NUMBER,'
      '  R_COMMENTS = :R_COMMENTS'
      'where'
      '  R_ID = :R_ID')
    DataSource = dsProgram
    Left = 32
    Top = 232
    object qrRevisionR_ID: TIntegerField
      FieldName = 'R_ID'
      ReadOnly = True
    end
    object qrRevisionR_NUMBER: TIBStringField
      FieldName = 'R_NUMBER'
      Required = True
      Size = 12
    end
    object qrRevisionR_DATE: TDateTimeField
      FieldName = 'R_DATE'
    end
    object qrRevisionR_COMMENTS: TIBStringField
      FieldName = 'R_COMMENTS'
      Size = 255
    end
    object qrRevisionPRO_ID: TIntegerField
      FieldName = 'PRO_ID'
      ReadOnly = True
    end
  end
  object dsRevision: TDataSource
    DataSet = qrRevision
    Left = 120
    Top = 232
  end
  object qrBugs: TIBDataSet
    Database = cnMain
    Transaction = trMain
    ForcedRefresh = True
    AfterPost = qrProgramAfterPost
    BeforePost = qrRevisionBeforePost
    BufferChunks = 1000
    CachedUpdates = False
    DeleteSQL.Strings = (
      'delete from BUGS'
      'where'
      '  BUG_ID = :OLD_BUG_ID')
    InsertSQL.Strings = (
      'insert into BUGS'
      '  ( BUG_NAME, BUG_DESCRIPTION, BUG_RESOLVED, BUG_DATE, PRO_ID, '
      'R_ID)'
      'values'
      
        '  ( :BUG_NAME, :BUG_DESCRIPTION, :BUG_RESOLVED, :BUG_DATE, :PRO_' +
        'ID, '
      '   :R_ID)')
    RefreshSQL.Strings = (
      'Select '
      '  BUG_ID,'
      '  BUG_NAME,'
      '  BUG_DESCRIPTION,'
      '  BUG_RESOLVED,'
      '  BUG_DATE,'
      '  PRO_ID,'
      '  R_ID'
      'from BUGS '
      'where'
      '  PRO_ID = :PRO_ID and'
      ' BUG_NAME = :BUG_NAME')
    SelectSQL.Strings = (
      'select * from BUGS'
      'where pro_id = :pro_id'
      'order by bug_id')
    ModifySQL.Strings = (
      'update BUGS'
      'set'
      '  BUG_NAME = :BUG_NAME,'
      '  BUG_DESCRIPTION = :BUG_DESCRIPTION,'
      '  BUG_RESOLVED = :BUG_RESOLVED,'
      '  BUG_DATE = :BUG_DATE,'
      '  PRO_ID = :PRO_ID,'
      '  R_ID = :R_ID'
      'where'
      '  BUG_ID = :OLD_BUG_ID')
    DataSource = dsProgram
    Left = 32
    Top = 304
    object qrBugsBUG_ID: TIntegerField
      FieldName = 'BUG_ID'
      ReadOnly = True
    end
    object qrBugsBUG_NAME: TIBStringField
      FieldName = 'BUG_NAME'
      Required = True
      Size = 80
    end
    object qrBugsBUG_DESCRIPTION: TIBStringField
      FieldName = 'BUG_DESCRIPTION'
      Size = 255
    end
    object qrBugsBUG_RESOLVED: TSmallintField
      FieldName = 'BUG_RESOLVED'
      Required = True
      MaxValue = 1
    end
    object qrBugsBUG_DATE: TDateTimeField
      FieldName = 'BUG_DATE'
    end
    object qrBugsPRO_ID: TIntegerField
      FieldName = 'PRO_ID'
      ReadOnly = True
    end
    object qrBugsR_ID: TIntegerField
      FieldName = 'R_ID'
    end
    object qrBugsBUG_REV: TStringField
      FieldKind = fkLookup
      FieldName = 'BUG_REV'
      LookupDataSet = qrRevision
      LookupKeyFields = 'R_ID'
      LookupResultField = 'R_NUMBER'
      KeyFields = 'R_ID'
      Size = 12
      Lookup = True
    end
  end
  object dsBugs: TDataSource
    DataSet = qrBugs
    Left = 120
    Top = 304
  end
end
