
// ***************************************** //
//                                         
//            XML Data Binding             
//                                         
//         Generated on: 2002-08-04 23:14:19 
//       Generated from: BizSnap.xml       
//   Settings stored in: BizSnap.xdb       
//                                         
// ***************************************** //

#ifndef   BizSnapH
#define   BizSnapH

#include <System.hpp>
#include <xmldom.hpp>
#include <XMLDoc.hpp>
#include <XMLIntf.hpp>
#include <XMLNodeImp.h>


// Forward Decls 

__interface IXMLChapterType;
typedef System::DelphiInterface<IXMLChapterType> _di_IXMLChapterType;
__interface IXMLSectionType;
typedef System::DelphiInterface<IXMLSectionType> _di_IXMLSectionType;

// IXMLChapterType 

__interface INTERFACE_UUID("{2E7DECFE-0AD3-43BB-BEF7-24FAAF467567}") IXMLChapterType : public IXMLNodeCollection
{
public:
public:
  // Property Accessors 
  virtual WideString __fastcall Get_Title() = 0;
  virtual _di_IXMLSectionType __fastcall Get_Section(int Index) = 0;
  virtual void __fastcall Set_Title(WideString Value) = 0;
  // Methods & Properties 
  virtual _di_IXMLSectionType __fastcall Add() = 0;
  virtual _di_IXMLSectionType __fastcall Insert(const int Index) = 0;
  __property WideString Title = { read=Get_Title, write=Set_Title };
  __property _di_IXMLSectionType Section[int Index] = { read=Get_Section };/* default */
};

// IXMLSectionType 

__interface INTERFACE_UUID("{F85BA1A2-DB61-42AC-A95C-74F8710FA90C}") IXMLSectionType : public IXMLNode
{
public:
  // Property Accessors 
  virtual WideString __fastcall Get_Title() = 0;
  virtual WideString __fastcall Get_Components() = 0;
  virtual WideString __fastcall Get_Wizards() = 0;
  virtual void __fastcall Set_Title(WideString Value) = 0;
  virtual void __fastcall Set_Components(WideString Value) = 0;
  virtual void __fastcall Set_Wizards(WideString Value) = 0;
  // Methods & Properties 
  __property WideString Title = { read=Get_Title, write=Set_Title };
  __property WideString Components = { read=Get_Components, write=Set_Components };
  __property WideString Wizards = { read=Get_Wizards, write=Set_Wizards };
};

// Forward Decls 

class TXMLChapterType;
class TXMLSectionType;

// TXMLChapterType 

class TXMLChapterType : public TXMLNodeCollection, public IXMLChapterType
{
  __IXMLNODECOLLECTION_IMPL__
protected:
  // IXMLChapterType 
  virtual WideString __fastcall Get_Title();
  virtual _di_IXMLSectionType __fastcall Get_Section(int Index);
  virtual void __fastcall Set_Title(WideString Value);
  virtual _di_IXMLSectionType __fastcall Add();
  virtual _di_IXMLSectionType __fastcall Insert(const int Index);
public:
  virtual void __fastcall AfterConstruction(void);
};


// TXMLSectionType 

class TXMLSectionType : public TXMLNode, public IXMLSectionType
{
  __IXMLNODE_IMPL__
protected:
  // IXMLSectionType 
  virtual WideString __fastcall Get_Title();
  virtual WideString __fastcall Get_Components();
  virtual WideString __fastcall Get_Wizards();
  virtual void __fastcall Set_Title(WideString Value);
  virtual void __fastcall Set_Components(WideString Value);
  virtual void __fastcall Set_Wizards(WideString Value);
};


// Global Functions 

_di_IXMLChapterType __fastcall GetChapter(_di_IXMLDocument Doc);
_di_IXMLChapterType __fastcall GetChapter(TXMLDocument *Doc);
_di_IXMLChapterType __fastcall LoadChapter(const WideString FileName);
_di_IXMLChapterType __fastcall  NewChapter();

#endif 