//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <msxmldom.hpp>
#include <XMLDoc.hpp>
#include <xmldom.hpp>
#include <XMLIntf.hpp>

#include "BizSnap.h"
#include <DB.hpp>
#include <DBClient.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <Grids.hpp>
#include <Mask.hpp>
#include <Provider.hpp>
#include <Xmlxform.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TXMLDocument *XMLDocument1;
        TMemo *Memo1;
        TButton *btnXML;
        TButton *btnFirst;
        TButton *btnPrev;
        TButton *btnNext;
        TButton *btnLast;
        TButton *btnNewSection;
        TXMLTransformProvider *XMLTransformProvider1;
        TClientDataSet *cdsChapter;
        TStringField *cdsChapterTitle;
        TDataSetField *cdsChapterSection;
        TClientDataSet *cdsSection;
        TDataSource *dsChapter;
        TDataSource *dsSection;
        TDBEdit *DBEdit1;
        TDBGrid *DBGrid1;
        void __fastcall btnXMLClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall btnFirstClick(TObject *Sender);
        void __fastcall btnPrevClick(TObject *Sender);
        void __fastcall btnNextClick(TObject *Sender);
        void __fastcall btnLastClick(TObject *Sender);
        void __fastcall btnNewSectionClick(TObject *Sender);
        void __fastcall cdsChapterAfterPost(TDataSet *DataSet);
        void __fastcall cdsSectionAfterPost(TDataSet *DataSet);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        _di_IXMLChapterType Chapter;
        int CurrentSection;
        void DisplaySection(void);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
