/*---------------------------------------------------------------------------
  CommCtrlDlgForm.h
        C++Builder Developer's Guide
        Chapter 14 - Common Control and Dialog Utility
        (c) Paul Gustavson, 2002
        Skeleton program designed for demonstrating Common Control & Dialogs
---------------------------------------------------------------------------*/
#ifndef CommCtrlDlgFormH
#define CommCtrlDlgFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TFormCommCtrl_Dlg : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TButton *ButtonMakeListView;
        TButton *ButtonChooseColor;
        TButton *ButtonChooseFont;
        TButton *ButtonFindText;
        TButton *ButtonOpenFile;
        TButton *ButtonSaveFile;
        TButton *ButtonPrintSetup;
        TButton *ButtonPrint;
        TButton *ButtonReplaceText;
        void __fastcall ButtonMakeListViewClick(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ButtonChooseColorClick(TObject *Sender);
        void __fastcall ButtonChooseFontClick(TObject *Sender);
        void __fastcall ButtonFindTextClick(TObject *Sender);
        void __fastcall ButtonOpenFileClick(TObject *Sender);
        void __fastcall ButtonSaveFileClick(TObject *Sender);
        void __fastcall ButtonPrintSetupClick(TObject *Sender);
        void __fastcall ButtonPrintClick(TObject *Sender);
        void __fastcall ButtonReplaceTextClick(TObject *Sender);
protected:     // User declarations
    unsigned int WM_FINDMSGSTRING;
    void __fastcall MyWndProc(Messages::TMessage &Message) ;
    void __fastcall Process_wmFindMsgString(TMessage Msg);
/*
    BEGIN_MESSAGE_MAP
       MESSAGE_HANDLER(WM_FINDMSGSTRING,TMessage,Process_wmFindMsgString);
    END_MESSAGE_MAP(TForm);
*/
private:	// User declarations
   HWND ControlHandle;
public:		// User declarations
        void MessageErrorCommDlg();
        __fastcall TFormCommCtrl_Dlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormCommCtrl_Dlg *FormCommCtrl_Dlg;
//---------------------------------------------------------------------------
#endif
