/*---------------------------------------------------------------------------
  MMTimerForm.h
        C++Builder Developer's Guide
        Chapter 14 - Multimedia Timer Example
        (c) Paul Gustavson, 2002
        Used to Compare MMedia API to TTimer
---------------------------------------------------------------------------*/
#ifndef MMTimerFormH
#define MMTimerFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TTimer *Timer1;
        TEdit *EditStandardTimer;
        TEdit *EditMMTimer;
        TEdit *EditInterval;
        TLabel *Label1;
        TLabel *Label2;
        TSpeedButton *SpeedButtonMMTimer;
        TEdit *EditResolution;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TEdit *EditClicksST;
        TEdit *EditClicksMM;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TSpeedButton *SpeedButtonStandardTimer;
        TButton *ButtonStartAll;
        TCheckBox *CheckBoxPostMessage;
        TButton *ButtonStopAll;
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall SpeedButtonMMTimerClick(TObject *Sender);
        void __fastcall SpeedButtonStandardTimerClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall ButtonStartAllClick(TObject *Sender);
        void __fastcall ButtonStopAllClick(TObject *Sender);
private:	// User declarations
        int MMTimerID;
        unsigned int MMlasttime;
        unsigned int STANlasttime;
        int clicksMM;
        int clicksST;
        unsigned int WM_HANDLE_MMTIMER;
        void __fastcall MyWndProc(Messages::TMessage &Message);
        void __fastcall HandleMMTimer();
        static void CALLBACK TimerProc(unsigned int uID, unsigned int uMsg, DWORD dwUser, DWORD dw1, DWORD dw2);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};


//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
