/*---------------------------------------------------------------------------
  MMediaForm.cpp
        C++Builder Developer's Guide
        Chapter 14 - MMEDIA Playback Example
        (c) Paul Gustavson, 2002
        Uses Win32 MCI  and TMediaPlayer
---------------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop

#include "MMediaForm.h"
#include <stdio.h>
#include <vfw.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormMMedia *FormMMedia;
//---------------------------------------------------------------------------
__fastcall TFormMMedia::TFormMMedia(TComponent* Owner)
        : TForm(Owner)
{
  MCIHandle = NULL;
}
//---------------------------------------------------------------------------

void __fastcall TFormMMedia::SpeedButtonPlayMMFileUsingWin32Click(TObject *Sender)
{
/*
  if (MCIHandle)
        CloseHandle(MCIHandle);
*/

/*
  char mediafile[MAX_PATH];
  mediafile[0] = '/0';

  char temp[MAX_PATH];
  sprintf(temp,"*.avi\0");

    OPENFILENAME     filenameinfo;
    filenameinfo.lStructSize =  sizeof(OPENFILENAME);;
    filenameinfo.hwndOwner = NULL;
    filenameinfo.hInstance = NULL;
    filenameinfo.lpstrFilter = temp;
    filenameinfo.lpstrCustomFilter = NULL;
    filenameinfo.nMaxCustFilter = NULL;
    filenameinfo.nFilterIndex = 0;
    filenameinfo.lpstrFile = mediafile;
    filenameinfo.nMaxFile = MAX_PATH;
    filenameinfo.lpstrFileTitle = NULL;
    filenameinfo.nMaxFileTitle = NULL;
    filenameinfo.lpstrInitialDir = NULL;
    filenameinfo.lpstrTitle = NULL;
    filenameinfo.Flags = OFN_EXPLORER;

    filenameinfo.lpstrDefExt = NULL;
    filenameinfo.lCustData = NULL;
    filenameinfo.lpfnHook = NULL;
    filenameinfo.lpTemplateName = NULL;

  GetOpenFileNamePreview(&filenameinfo);
*/

  OpenDialog1->DefaultExt = "AVI";
  OpenDialog1->FileName = "*.avi";


  if (OpenDialog1->Execute())
  {
    FormMMedia->Caption = "MMedia Player - " + ExtractFileName(OpenDialog1->FileName);

    MCIHandle = MCIWndCreate(PanelMCI->Handle,    // win handle to display AVI
        NULL,                                     // instance handle
        WS_VISIBLE | WS_CHILD | MCIWNDF_SHOWALL,  // window styles
        OpenDialog1->FileName.c_str());           // filename
/*

    MCIWndCreate(NULL,                          // parent window handle
        NULL,                                   // instance handle
        WS_VISIBLE | WS_CHILD | WS_SIZEBOX  |
        WS_SYSMENU | MCIWNDF_SHOWALL,           // window styles
        OpenDialog1->FileName.c_str());         // filename
*/
  }
}
//---------------------------------------------------------------------------


void __fastcall TFormMMedia::SpeedButtonPlayMMFileUsingVCLClick(TObject *Sender)
{
  OpenDialog1->DefaultExt = "AVI";
  OpenDialog1->FileName = "*.avi";
  if (OpenDialog1->Execute())
  {
    FormMMedia->Caption = "MMedia Player - " + ExtractFileName(OpenDialog1->FileName);
    MediaPlayer1->FileName = OpenDialog1->FileName;
    MediaPlayer1->Display = PanelTMediaPlayer;
    MediaPlayer1->Open();
    MediaPlayer1->Play();
  }
}
//---------------------------------------------------------------------------

void __fastcall TFormMMedia::SpeedButtonPlayWaveUsingWin32Click(TObject *Sender)
{
  OpenDialog1->DefaultExt = "WAV";
  OpenDialog1->FileName = "*.wav";
  FormMMedia->Caption = "MMedia Player - " + ExtractFileName(OpenDialog1->FileName);
  if (OpenDialog1->Execute())
    PlaySound(OpenDialog1->FileName.c_str(), NULL, SND_ASYNC);
}
//---------------------------------------------------------------------------



