//---------------------------------------------------------------------------
#ifndef CDDemoH
#define CDDemoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Graphics.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TTimer *CDTimer;
    TPanel *TrackPanel;
    TStaticText *TrackText;
    TStaticText *LengthText;
    TStaticText *StaticText1;
    TStaticText *StaticText3;
    TSpeedButton *PlayButton;
    TSpeedButton *StopButton;
    TSpeedButton *PrevButton;
    TSpeedButton *NextButton;
    TSpeedButton *PauseButton;
    TBevel *Bevel1;
    TStaticText *StaticText2;
    TStaticText *PositionText;
    TSpeedButton *RewButton;
    TSpeedButton *FFButton;
    TImage *Image1;
    TImage *Image2;
    TImage *Image3;
    TPanel *CaptionPanel;
    TSpeedButton *MinimizeButton;
    TSpeedButton *CloseButton;
    TLabel *CaptionLabel;
    TBevel *Bevel2;
    TBevel *Bevel3;
    TPanel *ProgressPanel;
    TPanel *ProgressPanelBar;
    TPopupMenu *PopupMenu1;
    TMenuItem *Play1;
    TMenuItem *Pause1;
    TMenuItem *Stop1;
    TMenuItem *Next1;
    TMenuItem *Prev1;
    TMenuItem *N1;
    TMenuItem *Exit1;
    TMenuItem *N2;
    TMenuItem *N3;
    TMenuItem *C2000DamonChandler1;
    TMenuItem *MCICDPlayerDemo1;
    TImage *SysIconImage;
    void __fastcall CDTimerTimer(TObject *Sender);
    void __fastcall PlayButtonClick(TObject *Sender);
    void __fastcall StopButtonClick(TObject *Sender);
    void __fastcall PauseButtonClick(TObject *Sender);
    void __fastcall NextButtonClick(TObject *Sender);
    void __fastcall PrevButtonClick(TObject *Sender);
    void __fastcall RewButtonClick(TObject *Sender);
    void __fastcall FFButtonClick(TObject *Sender);
    void __fastcall MinimizeButtonClick(TObject *Sender);
    void __fastcall CloseButtonClick(TObject *Sender);
    void __fastcall CaptionPanelMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall PopupMenu1Popup(TObject *Sender);
    void __fastcall SysIconImageClick(TObject *Sender);
    void __fastcall CaptionPanelDblClick(TObject *Sender);

private:	// User declarations
    long current_pos_;
    long track_length_;
    CDDevice CD_;
    void __fastcall UpdateTrackInfo();
    void __fastcall EnableControls();
    void __fastcall DisableControls();

    POINT PSnapped_;
    RECT RWork_;
    MESSAGE void __fastcall WMEnterSizeMove(TMessage& AMsg);
    MESSAGE void __fastcall WMMoving(TMessage& AMsg);

public:		// User declarations
    __fastcall TForm1(TComponent* Owner);

BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_ENTERSIZEMOVE, TMessage, WMEnterSizeMove)
    MESSAGE_HANDLER(WM_MOVING, TMessage, WMMoving)
END_MESSAGE_MAP(TForm)
};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
