//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
#ifndef CD_DEVICE_H
#define CD_DEVICE_H

#include "MCIDevice.h"
//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

class CDDevice : public MCIDevice
{
private:
    bool IsPaused_;

protected:
    virtual int doGetNumDevices(int ADevType = 0) const;
    virtual bool doPlay(long AStart, long AStop);
    virtual bool doStop();
    virtual bool doPause();
    virtual bool isPaused() const;    
    
public:
    CDDevice() : IsPaused_(false) {}
    ~CDDevice() {}

public:
    bool open();
    bool play();
    bool prev();
    bool next();
    bool mediaPresent() const;
    int trackNumber() const;    
    int numTracks() const;
    DWORD trackLength() const;
    double trackPosition() const;
};

//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
#endif
//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
