//---------------------------------------------------------------------------
#ifndef mp3DemoH
#define mp3DemoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Graphics.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TBevel *Bevel3;
    TBevel *Bevel1;
    TSpeedButton *PlayButton;
    TSpeedButton *PauseButton;
    TSpeedButton *StopButton;
    TSpeedButton *RewButton;
    TSpeedButton *FFButton;
    TPanel *TrackPanel;
    TStaticText *FileText;
    TStaticText *LengthText;
    TStaticText *PositionText;
    TPanel *CaptionPanel;
    TSpeedButton *MinimizeButton;
    TSpeedButton *CloseButton;
    TLabel *CaptionLabel;
    TImage *SysIconImage;
    TTimer *MP3Timer;
    TPopupMenu *PopupMenu1;
    TMenuItem *MCICDPlayerDemo1;
    TMenuItem *C2000DamonChandler1;
    TMenuItem *N3;
    TMenuItem *Play1;
    TMenuItem *Pause1;
    TMenuItem *Stop1;
    TMenuItem *N2;
    TMenuItem *Exit1;
    TOpenDialog *OpenDialog1;
    TPanel *ProgressPanel;
    TPanel *ProgressPanelBar;
    TSpeedButton *OpenButton;
    TImage *Image1;
    TImage *Image3;
    void __fastcall OpenButtonClick(TObject *Sender);
    void __fastcall PlayButtonClick(TObject *Sender);
    void __fastcall CloseButtonClick(TObject *Sender);
    void __fastcall MinimizeButtonClick(TObject *Sender);
    void __fastcall CaptionPanelMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall MP3TimerTimer(TObject *Sender);
    void __fastcall StopButtonClick(TObject *Sender);
    void __fastcall PauseButtonClick(TObject *Sender);
    void __fastcall FFButtonClick(TObject *Sender);
    void __fastcall RewButtonClick(TObject *Sender);
    void __fastcall CaptionPanelDblClick(TObject *Sender);
    void __fastcall SysIconImageClick(TObject *Sender);
    void __fastcall PopupMenu1Popup(TObject *Sender);
    
private:	// User declarations
    long track_length_;
    long current_pos_;
    
    MP3Device mp3_;
    MESSAGE void __fastcall MMMciNotify(TMessage& AMsg);
    void __fastcall UpdateControls();
    void __fastcall UpdateLengthInfo();

    POINT PSnapped_;
    RECT RWork_;
    MESSAGE void __fastcall WMEnterSizeMove(TMessage& AMsg);
    MESSAGE void __fastcall WMMoving(TMessage& AMsg);

public:		// User declarations
    __fastcall TForm1(TComponent* Owner);

BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(MM_MCINOTIFY, TMessage, MMMciNotify)
    MESSAGE_HANDLER(WM_ENTERSIZEMOVE, TMessage, WMEnterSizeMove)
    MESSAGE_HANDLER(WM_MOVING, TMessage, WMMoving)
END_MESSAGE_MAP(TForm)
};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
