/*---------------------------------------------------------------------------
  FactoryForm.h
        C++Builder Developer's Guide
        Chapter 16 - Shared Segmentation DLL Example
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#ifndef FactoryFormH
#define FactoryFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#define WM_CAR_CHANGE  (WM_USER + 1001)

//---------------------------------------------------------------------------
class TFormFactory : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        TButton *Button4;
        TEdit *EditFactoryAccords;
        TEdit *EditFactoryCivics;
        TEdit *EditFactoryCRVs;
        TEdit *EditFactoryPilots;
        TButton *ButtonOpenNewDealership;
        TButton *ButtonClose;
        TLabel *Label2;
        TEdit *EditAllAccords;
        TEdit *EditAllCivics;
        TEdit *EditAllCRVs;
        TEdit *EditAllPilots;
        TLabel *Label1;
        TEdit *EditQuantity;
        TLabel *Label8;
        TEdit *EditSoldAccords;
        TEdit *EditSoldCivics;
        TEdit *EditSoldCRVs;
        TEdit *EditSoldPilots;
        TLabel *Label9;
        TEdit *EditDealerships;
        TTimer *Timer1;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall ButtonOpenNewDealershipClick(TObject *Sender);
        void __fastcall ButtonCloseClick(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
        int myid;
protected:
        void __fastcall wmCarChange(TMessage Msg);
        BEGIN_MESSAGE_MAP
          MESSAGE_HANDLER(WM_CAR_CHANGE, TMessage, wmCarChange)
        END_MESSAGE_MAP(TControl)
public:		// User declarations
        __fastcall TFormFactory(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormFactory *FormFactory;
//---------------------------------------------------------------------------
#endif
