//---------------------------------------------------------------------------

#ifndef AutoInventoryFormH
#define AutoInventoryFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "InventoryDataTypes.h"
//---------------------------------------------------------------------------

#define all -1
#define accord 0
#define civic 1
#define crv 2
#define pilot 3

#define WM_CAR_CHANGE  (WM_USER + 1001)

class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *Label2;
        TEdit *EditNumDealers;
private:	// User declarations




public:		// User declarations
//    SAuto LocalDealer; //  = {10, 10, 10, 10};
    SAuto LocalDealer[MaxDealers];
    int DealerID;
    int numAutoDealers;
    SAuto AllDealers;
    SAuto TotalSold;
    int NextDealerID;
    SDealerFactory DealerFactory[MaxDealers];
    SAuto Factory;
    bool InventoryLock;
   __fastcall TForm1(TComponent* Owner);
   int Attach();
   int Detach();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
