//---------------------------------------------------------------------------

#ifndef CustomerFormH
#define CustomerFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RestaurantWaiter_TLB.h"
//#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include "RestaurantSink.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
        TPanel *PanelBill;
        TLabel *Label3;
        TLabel *LabelAmount;
        TEdit *EditTip;
        TLabel *Label4;
        TRadioGroup *RadioGroupPaymentType;
        TLabel *Label5;
        TLabel *LabelAmountReturned;
        TEdit *EditTendered;
        TLabel *Label8;
        TPanel *PanelActions;
        TButton *ButtonRequestSeating;
        TButton *ButtonMenu;
        TButton *ButtonPlaceOrder;
        TButton *ButtonRequestBill;
        TButton *ButtonPayBill;
        TButton *ButtonLeaveTip;
        TLabel *Label1;
        TButton *ButtonExit;
        TLabel *Label9;
        TPanel *Panel3;
        TLabel *LabelStatus;
        TLabel *Label7;
        TLabel *LabelID;
        TButton *ButtonOpenNewCustomer;
        TLabel *Label10;
        TLabel *Label6;
        TLabel *Label2;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall ButtonRequestBillClick(TObject *Sender);
        void __fastcall ButtonPlaceOrderClick(TObject *Sender);
        void __fastcall ButtonOpenNewCustomerClick(TObject *Sender);
        void __fastcall ButtonRequestSeatingClick(TObject *Sender);
        void __fastcall ButtonLeaveTipClick(TObject *Sender);
        void __fastcall ButtonMenuClick(TObject *Sender);
        void __fastcall ButtonExitClick(TObject *Sender);
        void __fastcall ButtonPayBillClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
     long myid;
     TCOMICustomerAction  Restaurant;
     TRestaurantSink FRestaurantSink;
     double bill;
protected:
     void __fastcall OnOrderReceived();
     void __fastcall OnCheckReceived(double amount);
     void __fastcall OnChangeReturned(double amount);
     void __fastcall OnSeatingReady(long customerID);
     void __fastcall OnReadyToOrderQuery();
public:		// User declarations
        __fastcall TForm2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
