// METRICCONVERSIONIMPL : Implementation of TMetricConversionImpl (CoClass: MetricConversion, Interface: IMetricConversion)

#include <vcl.h>
#pragma hdrstop

#include "METRICCONVERSIONIMPLEXE.H"
#pragma link "MetricConversion_OCX"

/////////////////////////////////////////////////////////////////////////////
// TMetricConversionImpl

STDMETHODIMP TMetricConversion2Impl::feet_to_meters(double feet,
  double* meters)
{
    double value = feet * 0.30480397026398; // a little more precision than dll
    *meters = value;
    return S_OK;
}

STDMETHODIMP TMetricConversion2Impl::meters_to_feet(double meters,
  double* feet)
{
    double value = meters * 3.28079716000397;// a little more precision than dll
    *feet = value;
    return S_OK;
}

