// TMETRICCONVERSIONIMPL : Implementation of TTMetricConversionImpl (CoClass: TMetricConversion, Interface: IMetricConversion)

#include <vcl.h>
#pragma hdrstop

#include "TMETRICCONVERSIONIMPL.H"
#pragma link "MetricConversion_OCX"

/////////////////////////////////////////////////////////////////////////////
// TTMetricConversionImpl

STDMETHODIMP TTMetricConversionImpl::feet_to_meters(double feet,
  double* meters)
{
  double value;
  try
  {
     value =  feet * 0.3048;
     meters = &value;
  }
  catch (Exception &e)
  {
     return Error(e.Message.c_str(), IID_IMetricConversion);
  }
  return S_OK;
}

STDMETHODIMP TTMetricConversionImpl::meters_to_feet(double meters,
  double* feet)
{
  double value;
  try
  {
     value = meters * 3.2808;
     feet = &value;
  }
  catch (Exception &e)
  {
     return Error(e.Message.c_str(), IID_IMetricConversion);
  }
  return S_OK;
}

