//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ClientMainForm.h"
#include "ErrorDialog.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm2::btnSaveClick(TObject *Sender)
{
  ClientDataSet1->SaveToFile("customer.cds", dfBinary);
}
//---------------------------------------------------------------------------

void __fastcall TForm2::btnLoadClick(TObject *Sender)
{
  ClientDataSet1->LoadFromFile("customer.cds");
}
//---------------------------------------------------------------------------

void __fastcall TForm2::btnConnectClick(TObject *Sender)
{
  if (ClientDataSet1->Active) // close and disconnect
  {
    ClientDataSet1->Close();
    DCOMConnection1->Close();
    dynamic_cast<TButton*>(Sender)->Caption = "Connect";
  }
  else // open (automatically connects)
  {
    ClientDataSet1->Open();
    dynamic_cast<TButton*>(Sender)->Caption = "Disconnect";
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm2::btnApplyUpdatesClick(TObject *Sender)
{
  ClientDataSet1->ApplyUpdates(0);        
}
//---------------------------------------------------------------------------

void __fastcall TForm2::ClientDataSet1ReconcileError(
      TCustomClientDataSet *DataSet, EReconcileError *E,
      TUpdateKind UpdateKind, TReconcileAction &Action)
{
  Action = HandleReconcileError(this, DataSet, UpdateKind, E);       
}
//---------------------------------------------------------------------------

