#include <vcl.h>
#pragma hdrstop

#include "CUSTOMERORDERSIMPL.H"

#if !defined(__PRAGMA_SMART_INIT_DEFINED)
#define __PRAGMA_SMART_INIT_DEFINED
#pragma package(smart_init)
#endif

#pragma resource "*.dfm"


/////////////////////////////////////////////////////////////////////////////
// Global instance of TCustomerOrdersImpl 
/////////////////////////////////////////////////////////////////////////////
TCustomerOrders *CustomerOrders;


/////////////////////////////////////////////////////////////////////////////
// TCustomerOrders::TCustomerOrders
/////////////////////////////////////////////////////////////////////////////
__fastcall TCustomerOrders::TCustomerOrders(TComponent* Owner) : TCRemoteDataModule(Owner)
{
}





void __fastcall TCustomerOrders::dspCustomerOrdersBeforeGetRecords(
      TObject *Sender, OleVariant &OwnerData)
{
  TVariant Variant = OwnerData;
  if (!VarIsEmpty(Variant))
  {
    TLocateOptions LocateOptions;
    TDataSet* DataSet = dynamic_cast<TDataSetProvider*>(Sender)->DataSet;
    if (DataSet->Locate("CustNo", Variant, LocateOptions))
      DataSet->Next();
  }
}
//---------------------------------------------------------------------------
void __fastcall TCustomerOrders::dspCustomerOrdersAfterGetRecords(
      TObject *Sender, OleVariant &OwnerData)
{
  TDataSet* DataSet = dynamic_cast<TDataSetProvider*>(Sender)->DataSet;
  if (DataSet->Active)
    OwnerData = IntToStr(DataSet->RecordCount);
  else
    OwnerData = AnsiString("n/a");
}
//---------------------------------------------------------------------------
