// ************************************************************************ //
// SOAP Data Module: Interface SoapDataMod42
// ************************************************************************ //
#include <vcl.h>
#pragma hdrstop


#include <InvokeRegistry.hpp>
#include <Midas.hpp>
#include <SOAPMidas.hpp>
#include <SOAPDm.hpp>

#include "SDataMod.h"

#pragma package(smart_init)
#pragma resource "*.dfm"


// ************************************************************************ //
// Methods of TSoapDataMod42 which implements interface ISoapDataMod42
// ************************************************************************ //
__fastcall TSoapDataMod42::TSoapDataMod42(TComponent* Owner) : TSoapDataModule(Owner)
{}


OleVariant __stdcall
TSoapDataMod42::SAS_ApplyUpdates(const WideString ProviderName, const OleVariant Delta, int MaxErrors, /* out */ int &ErrorCount, OleVariant &OwnerData)
{
  return TSoapDataModule::SAS_ApplyUpdates(ProviderName, Delta, MaxErrors, ErrorCount, OwnerData);
}

OleVariant __stdcall
TSoapDataMod42::SAS_GetRecords(const WideString ProviderName, int Count, /* out */ int &RecsOut, int Options, const WideString CommandText, OleVariant &Params, OleVariant &OwnerData)
{
  return TSoapDataModule::SAS_GetRecords(ProviderName, Count, RecsOut, Options, CommandText, Params, OwnerData);
}

OleVariant __stdcall
TSoapDataMod42::SAS_DataRequest(const WideString ProviderName, const OleVariant Data)
{
  return TSoapDataModule::SAS_DataRequest(ProviderName, Data);
}

TWideStringDynArray __stdcall
TSoapDataMod42::SAS_GetProviderNames()
{
  return TSoapDataModule::SAS_GetProviderNames();
}

OleVariant __stdcall
TSoapDataMod42::SAS_GetParams(const WideString ProviderName, OleVariant &OwnerData)
{
  return TSoapDataModule::SAS_GetParams(ProviderName, OwnerData);
}

OleVariant __stdcall
TSoapDataMod42::SAS_RowRequest(const WideString ProviderName, const OleVariant Row, int RequestType, OleVariant &OwnerData)
{
  return TSoapDataModule::SAS_RowRequest(ProviderName, Row, RequestType, OwnerData);
}

void __stdcall
TSoapDataMod42::SAS_Execute(const WideString ProviderName, const WideString CommandText, OleVariant &Params, OleVariant &OwnerData)
{
  TSoapDataModule::SAS_Execute(ProviderName, CommandText, Params, OwnerData);
}


// ************************************************************************ //
// This method will be called by SOAP to create objects to handle
// WebService requests.
// ************************************************************************ //
static void __fastcall SoapDataMod42Factory(System::TObject* &obj)
{
  obj = new TSoapDataMod42(0);
}

// ***************************************************************************
// This routines registers the interface and implementation class that exposes
// the interface as a Web Service.
// ***************************************************************************
void static RegTypes()
{
  InvRegistry()->RegisterInterface(__interfaceTypeinfo(ISoapDataMod42));
  InvRegistry()->RegisterInvokableClass(__classid(TSoapDataMod42), SoapDataMod42Factory);
}
#pragma startup RegTypes 32
void __fastcall TSoapDataMod42::SoapDataModuleCreate(TObject *Sender)
{
  cdsBiolife->Open();        
}
//---------------------------------------------------------------------------
