
//---------------------------------------------------------------------------

#ifndef wDataModH
#define wDataModH
//---------------------------------------------------------------------------
#include <WebInit.h>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <WebModu.hpp>
#include <DB.hpp>
#include <DBAdapt.hpp>
#include <DBClient.hpp>
#include <WebAdapt.hpp>
#include <WebComp.hpp>


//---------------------------------------------------------------------------
class TWebDataModule1 : public TWebDataModule
{
__published:	// IDE-managed Components
        TClientDataSet *cdsCustomer;
        TClientDataSet *cdsOrders;
        TFloatField *cdsCustomerCustNo;
        TStringField *cdsCustomerCompany;
        TStringField *cdsCustomerAddr1;
        TStringField *cdsCustomerAddr2;
        TStringField *cdsCustomerCity;
        TStringField *cdsCustomerState;
        TStringField *cdsCustomerZip;
        TStringField *cdsCustomerCountry;
        TStringField *cdsCustomerPhone;
        TStringField *cdsCustomerFAX;
        TFloatField *cdsCustomerTaxRate;
        TStringField *cdsCustomerContact;
        TDateTimeField *cdsCustomerLastInvoiceDate;
        TFloatField *cdsOrdersOrderNo;
        TFloatField *cdsOrdersCustNo;
        TDateTimeField *cdsOrdersSaleDate;
        TDateTimeField *cdsOrdersShipDate;
        TIntegerField *cdsOrdersEmpNo;
        TStringField *cdsOrdersShipToContact;
        TStringField *cdsOrdersShipToAddr1;
        TStringField *cdsOrdersShipToAddr2;
        TStringField *cdsOrdersShipToCity;
        TStringField *cdsOrdersShipToState;
        TStringField *cdsOrdersShipToZip;
        TStringField *cdsOrdersShipToCountry;
        TStringField *cdsOrdersShipToPhone;
        TStringField *cdsOrdersShipVIA;
        TStringField *cdsOrdersPO;
        TStringField *cdsOrdersTerms;
        TStringField *cdsOrdersPaymentMethod;
        TCurrencyField *cdsOrdersItemsTotal;
        TFloatField *cdsOrdersTaxRate;
        TCurrencyField *cdsOrdersFreight;
        TCurrencyField *cdsOrdersAmountPaid;
        TDataSource *DataSource1;
        TDataSetAdapter *dsaCustomer;
        TDataSetAdapter *dsaOrders;
        TDataSetAdapterDeleteRowAction *ActionDeleteRow;
        TDataSetAdapterFirstRowAction *ActionFirstRow;
        TDataSetAdapterPrevRowAction *ActionPrevRow;
        TDataSetAdapterNextRowAction *ActionNextRow;
        TDataSetAdapterLastRowAction *ActionLastRow;
        TDataSetAdapterEditRowAction *ActionEditRow;
        TDataSetAdapterBrowseRowAction *ActionBrowseRow;
        TDataSetAdapterNewRowAction *ActionNewRow;
        TDataSetAdapterCancelRowAction *ActionCancel;
        TDataSetAdapterApplyRowAction *ActionApply;
        TDataSetAdapterRefreshRowAction *ActionRefreshRow;
        TDataSetAdapterField *AdaptCustNo;
        TDataSetAdapterField *AdaptCompany;
        TDataSetAdapterField *AdaptAddr1;
        TDataSetAdapterField *AdaptAddr2;
        TDataSetAdapterField *AdaptCity;
        TDataSetAdapterField *AdaptState;
        TDataSetAdapterField *AdaptZip;
        TDataSetAdapterField *AdaptCountry;
        TDataSetAdapterField *AdaptPhone;
        TDataSetAdapterField *AdaptFAX;
        TDataSetAdapterField *AdaptTaxRate;
        TDataSetAdapterField *AdaptContact;
        TDataSetAdapterField *AdaptLastInvoiceDate;
        TDataSetAdapterField *AdaptOrderNo;
        TDataSetAdapterField *AdaptCustNo2;
        TDataSetAdapterField *AdaptSaleDate;
        TDataSetAdapterField *AdaptShipDate;
        TDataSetAdapterField *AdaptEmpNo;
        TDataSetAdapterField *AdaptShipToContact;
        TDataSetAdapterField *AdaptShipToAddr1;
        TDataSetAdapterField *AdaptShipToAddr2;
        TDataSetAdapterField *AdaptShipToCity;
        TDataSetAdapterField *AdaptShipToState;
        TDataSetAdapterField *AdaptShipToZip;
        TDataSetAdapterField *AdaptShipToCountry;
        TDataSetAdapterField *AdaptShipToPhone;
        TDataSetAdapterField *AdaptShipVIA;
        TDataSetAdapterField *AdaptPO;
        TDataSetAdapterField *AdaptTerms;
        TDataSetAdapterField *AdaptPaymentMethod;
        TDataSetAdapterField *AdaptItemsTotal;
        TDataSetAdapterField *AdaptTaxRate2;
        TDataSetAdapterField *AdaptFreight;
        TDataSetAdapterField *AdaptAmountPaid;
        TDataSetAdapterDeleteRowAction *ActionDeleteRow2;
        TDataSetAdapterFirstRowAction *ActionFirstRow2;
        TDataSetAdapterPrevRowAction *ActionPrevRow2;
        TDataSetAdapterNextRowAction *ActionNextRow2;
        TDataSetAdapterLastRowAction *ActionLastRow2;
        TDataSetAdapterEditRowAction *ActionEditRow2;
        TDataSetAdapterBrowseRowAction *ActionBrowseRow2;
        TDataSetAdapterNewRowAction *ActionNewRow2;
        TDataSetAdapterCancelRowAction *ActionCancel2;
        TDataSetAdapterApplyRowAction *ActionApply2;
        TDataSetAdapterRefreshRowAction *ActionRefreshRow2;
private:	// User declarations
public:		// User declarations
};

TWebDataModule1 *WebDataModule1();

//---------------------------------------------------------------------------
extern PACKAGE TWebDataModule1 *WebDataModule1();
//---------------------------------------------------------------------------
#endif

