/*---------------------------------------------------------------------------
  MemStatusForm.h
        Paul Gustavson, (c) 2002
        Developed for...
                C++Builder Developer's Guide
                Chapter 23 - OT Wizard Example
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#ifndef MemStatusFormH
#define MemStatusFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "memstatus.h"
#include <Menus.hpp>

//---------------------------------------------------------------------------
class TFormMemStat : public TForm
{
__published:	// IDE-managed Components
        TBitBtn *BitBtn1;
        TTimer *Timer1;
        TLabel *Label1;
        TLabel *Label3;
        TLabel *Label5;
        TLabel *LabelPFree;
        TLabel *LabelPTotal;
        TLabel *LabelVFree;
        TLabel *LabelVTotal;
        TLabel *LabelPgFree;
        TLabel *LabelPgTotal;
        TLabel *LabelFree;
        TLabel *Label2;
        TLabel *Label4;
        TLabel *Label6;
        TSpeedButton *SpeedButtonStart;
        TLabel *LabelM1PFree;
        TLabel *LabelM1VFree;
        TLabel *LabelM1PgFree;
        TLabel *Label10;
        TLabel *LabelM2PFree;
        TLabel *LabelM2VFree;
        TLabel *LabelM2PgFree;
        TLabel *Label14;
        TLabel *Label15;
        TLabel *LabelLPFree;
        TLabel *LabelLVFree;
        TLabel *LabelLPgFree;
        TSpeedButton *SpeedButtonStop;
        TBevel *Bevel1;
        TLabel *LabelM1Free;
        TLabel *LabelM2Free;
        TLabel *LabelLFree;
        TBevel *Bevel2;
        TBevel *Bevel3;
        TBevel *Bevel4;
        TBevel *Bevel5;
        TLabel *LabelPPeak;
        TLabel *LabelVPeak;
        TLabel *LabelPgPeak;
        TLabel *LabelPeak;
        TLabel *Label12;
        TBevel *Bevel6;
        TEdit *EditRate;
        TLabel *Label7;
        TCheckBox *CheckBoxMonitor;
        TLabel *Label8;
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall SpeedButtonStartClick(TObject *Sender);
        void __fastcall SpeedButtonStopClick(TObject *Sender);
private:	// User declarations
        sMemStatus MemStat;
public:		// User declarations
        AnsiString GetMemoryPeakUsage();
        AnsiString GetMemoryFinalUsage();
        AnsiString GetMemoryStartFree();
        AnsiString GetMemoryStopFree();
        AnsiString GetMemoryCurrentFree();
        AnsiString GetMemoryTotal();

        __fastcall TFormMemStat(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMemStat *FormMemStat;
//---------------------------------------------------------------------------
#endif
