//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Button1Click(TObject *Sender)
{
  IsUp = !IsUp;
  Button1->Caption = (IsUp) ? "Down" : "Up";
  PaintBox1->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SwapColors(TColor &Top, TColor &Bottom)
{
  Top = (IsUp) ? clBtnHighlight : clBtnShadow;
  Bottom = (IsUp) ? clBtnShadow : clBtnHighlight;
}
// ---------------------------------------------------------------------------
void __fastcall TForm1::PaintBox1Paint(TObject *Sender)
{
  TColor TopColor, BottomColor;
  TRect Rect, gRect;

  Rect = PaintBox1->ClientRect;

  Graphics::TBitmap *bit = new Graphics::TBitmap;
  Graphics::TBitmap *bitFile = new Graphics::TBitmap;

  bitFile->LoadFromFile("geom1b.bmp");
  // size the off-screen bitmap to size of on-screen canvas
  bit->Width = PaintBox1->Width;
  bit->Height = PaintBox1->Height;

  // fill the canvas with the brush's color
  bit->Canvas->Brush->Color = clBtnFace;
  bit->Canvas->FillRect(Rect);

  // position the second TRect structure centered h/v within Rect
  gRect.Left = ((Rect.Right - Rect.Left) / 2) - (bitFile->Width / 2);
  gRect.Top = ((Rect.Bottom - Rect.Top) / 2) - (bitFile->Height / 2);

  // move the inner rect up and over by 1 pixel to give the appearance of
  // the panel moving up and down
  gRect.Top += (IsUp) ? 0 : 1;
  gRect.Left += (IsUp) ? 0 : 1;

  gRect.Right = bitFile->Width + gRect.Left;;
  gRect.Bottom = bitFile->Height + gRect.Top;

  // copy the bitmap to the off-screen bitmap object using transparency
  bit->Canvas->BrushCopy(gRect, bitFile,
    TRect(0,0,bitFile->Width, bitFile->Height), bitFile->TransparentColor);

  // draw the borders
  SwapColors(TopColor, BottomColor);
  Frame3D(bit->Canvas, Rect, TopColor, BottomColor, 2);

  // copy the off-screen bitmap to the on-screen canvas
  BitBlt(PaintBox1->Canvas->Handle, 0, 0,	PaintBox1->ClientWidth,
    PaintBox1->ClientHeight, bit->Canvas->Handle,	0, 0,	SRCCOPY);

  delete bitFile;
  delete bit;
}
//---------------------------------------------------------------------------
