//---------------------------------------------------------------------------

#ifndef udmMainH
#define udmMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Db.hpp>
#include <IBDatabase.hpp>
#include <IBCustomDataSet.hpp>
#include <IBQuery.hpp>
#include <IBSQL.hpp>
#include <IBUpdateSQL.hpp>
#include <IBStoredProc.hpp>
#include <IBTable.hpp>
#include <IBEvents.hpp>
#include <DB.hpp>
enum ConnectionType {ctLocal,ctTCPIP,ctNetBEUI,ctSPX};
//---------------------------------------------------------------------------
class TdmMain : public TDataModule
{
__published:	// IDE-managed Components
        TIBDatabase *cnMain;
        TIBDataSet *qrProgram;
        TIntegerField *qrProgramPRO_ID;
        TIBStringField *qrProgramPRO_NAME;
        TDateTimeField *qrProgramPRO_MADE;
        TDataSource *dsProgram;
        TIBTransaction *trMain;
        TIBDataSet *qrRevision;
        TDataSource *dsRevision;
        TIntegerField *qrRevisionR_ID;
        TDateTimeField *qrRevisionR_DATE;
        TIBStringField *qrRevisionR_NUMBER;
        TIBStringField *qrRevisionR_COMMENTS;
        TIBDataSet *qrBugs;
        TIntegerField *qrRevisionPRO_ID;
        TDataSource *dsBugs;
        TIntegerField *qrBugsBUG_ID;
        TIBStringField *qrBugsBUG_NAME;
        TIBStringField *qrBugsBUG_DESCRIPTION;
        TSmallintField *qrBugsBUG_RESOLVED;
        TDateTimeField *qrBugsBUG_DATE;
        TIntegerField *qrBugsPRO_ID;
        TIntegerField *qrBugsR_ID;
        TStringField *qrBugsBUG_REV;
        void __fastcall cnMainAfterConnect(TObject *Sender);
        void __fastcall cnMainBeforeDisconnect(TObject *Sender);
        void __fastcall qrProgramAfterPost(TDataSet *DataSet);
        void __fastcall qrRevisionBeforePost(TDataSet *DataSet);
        void __fastcall qrRevisionAfterPost(TDataSet *DataSet);
  void __fastcall qrProgramPostError(TDataSet *DataSet, EDatabaseError *E,
          TDataAction &Action);
private:	// User declarations
public:		// User declarations
        __fastcall TdmMain(TComponent* Owner);
        AnsiString __fastcall CreateConnectionString(AnsiString Server, AnsiString FileName, ConnectionType CType);
};
//---------------------------------------------------------------------------
extern PACKAGE TdmMain *dmMain;
//---------------------------------------------------------------------------
#endif
