//---------------------------------------------------------------------------

#ifndef ufrmMainH
#define ufrmMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <Db.hpp>
#include <IBCustomDataSet.hpp>
#include <IBDatabase.hpp>
#include <IBStoredProc.hpp>
#include <IBSQL.hpp>
#include <IBQuery.hpp>
#include <IBUpdateSQL.hpp>
#include <IBSQLMonitor.hpp>
#include <ComCtrls.hpp>
#include <DBGrids.hpp>
#include <Grids.hpp>
#include <IBEvents.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *tabConnection;
        TRadioGroup *rdConnection;
        TTabSheet *tabDiagnostics;
        TButton *btnConnect;
        TButton *btnDisconnect;
        TButton *btnCreate;
        TPanel *pnlConnection;
        TLabel *Label4;
        TLabel *Label3;
        TLabel *Label2;
        TLabel *Label1;
        TEdit *edtHost;
        TEdit *edtFile;
        TEdit *edtUser;
        TEdit *edtPass;
        TMemo *memDiag;
        TIBSQLMonitor *sqlMonitor;
        TTabSheet *tabProgram;
        TPanel *Panel2;
        TDBGrid *DBGrid4;
        TSplitter *Splitter1;
        TDBGrid *DBGrid5;
        TPanel *Panel3;
        TSplitter *Splitter2;
        TDBGrid *DBGrid6;
        TPanel *Panel4;
        TButton *btnNewProgram;
        TButton *btnNewRevision;
        TButton *btnNewBug;
        TIBEvents *evtMain;
        void __fastcall btnCreateClick(TObject *Sender);
        void __fastcall btnConnectClick(TObject *Sender);
        void __fastcall btnDisconnectClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall sqlMonitorSQL(AnsiString EventText,
          TDateTime EventTime);
        void __fastcall DBGrid4KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall btnNewProgramClick(TObject *Sender);
        void __fastcall btnNewRevisionClick(TObject *Sender);
        void __fastcall btnNewBugClick(TObject *Sender);
        void __fastcall evtMainEventAlert(TObject *Sender,
          AnsiString EventName, int EventCount, bool &CancelAlerts);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
        void __fastcall UpdateScreen();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
