/*---------------------------------------------------------------------------
  MMediaForm.h
        C++Builder Developer's Guide
        Chapter 14 - MMEDIA Playback Example
        (c) Paul Gustavson, 2002
        Uses Win32 MCI  and TMediaPlayer
---------------------------------------------------------------------------*/

#ifndef MMediaFormH
#define MMediaFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <MPlayer.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TFormMMedia : public TForm
{
__published:	// IDE-managed Components
        TOpenDialog *OpenDialog1;
        TPanel *Panel1;
        TPanel *Panel2;
        TSpeedButton *SpeedButtonPlayWaveUsingWin32;
        TPanel *PanelMCI;
        TPanel *Panel3;
        TPanel *PanelTMediaPlayer;
        TPanel *Panel4;
        TPanel *Panel5;
        TSplitter *Splitter1;
        TSpeedButton *SpeedButtonPlayMMFileUsingVCL;
        TMediaPlayer *MediaPlayer1;
        TSpeedButton *SpeedButtonPlayMMFileUsingWin32;
        TStatusBar *StatusBar1;
        void __fastcall SpeedButtonPlayMMFileUsingWin32Click(TObject *Sender);
        void __fastcall SpeedButtonPlayMMFileUsingVCLClick(TObject *Sender);
        void __fastcall SpeedButtonPlayWaveUsingWin32Click(TObject *Sender);
private:	// User declarations
        HWND MCIHandle;
public:		// User declarations
        __fastcall TFormMMedia(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMMedia *FormMMedia;
//---------------------------------------------------------------------------
#endif
