/*---------------------------------------------------------------------------
  ShellForm.h
        C++Builder Developer's Guide
        Chapter 14 - Shell Example
        (c) Paul Gustavson, 2002
        Uses Shell Library Calls
---------------------------------------------------------------------------*/
#ifndef ShellFormH
#define ShellFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <FileCtrl.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel3;
        TSplitter *Splitter1;
        TDirectoryListBox *DirectoryListBoxSource;
        TFileListBox *FileListBoxSource;
        TPanel *Panel6;
        TLabel *Label10;
        TSpeedButton *SpeedButton1;
        TEdit *EditMask;
        TOpenDialog *OpenDialog1;
        TPageControl *PageControl1;
        TTabSheet *TabSheetShellExecute;
        TTabSheet *TabSheetShellMove;
        TEdit *EditURL;
        TButton *ButtonBrowser;
        TButton *ButtonLaunchApp;
        TEdit *EditFile;
        TButton *Button1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *EditParams;
        TPanel *Panel2;
        TSplitter *Splitter2;
        TDirectoryListBox *DirectoryListBoxTarget;
        TFileListBox *FileListBoxTarget;
        TPanel *Panel4;
        TLabel *Label4;
        TSpeedButton *SpeedButton2;
        TEdit *EditMaskTarget;
        TPanel *Panel1;
        TButton *ButtonCopyDir;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *LabelMoveResults;
        TLabel *Label8;
        TLabel *LabelSourceDir;
        TLabel *LabelTargetDir;
        TLabel *Label7;
        TMemo *MemoFilesToMove;
        TListBox *ListBoxFilesToMove;
        TLabel *Label9;
        TButton *Button2;
        TButton *ButtonSendToRecycleBin;
        TButton *ButtonEmptyRecycleBin;
        TButton *ButtonQueryRecycleBin;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *LabelNumItems;
        TLabel *LabelSize;
        TButton *Button3;
        TBevel *Bevel1;
        TBevel *Bevel2;
        TSplitter *Splitter3;
        TPanel *Panel5;
        TDriveComboBox *DriveComboBoxTarget;
        TPanel *Panel7;
        TDriveComboBox *DriveComboBoxSource;
        void __fastcall ButtonBrowserClick(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall ButtonLaunchAppClick(TObject *Sender);
        void __fastcall ButtonCopyDirClick(TObject *Sender);
        void __fastcall PageControl1Change(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ButtonSendToRecycleBinClick(TObject *Sender);
        void __fastcall ButtonEmptyRecycleBinClick(TObject *Sender);
        void __fastcall ButtonQueryRecycleBinClick(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
