//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
#ifndef WAVEAPI_H
#define WAVEAPI_H

#include <vfw.h>
//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

bool wavCheck(HRESULT AErrorCode);
void wavInititialize();
void wavUninitialize();

bool wavPlayOpen(HWAVEOUT& AHWavOut, long ACallback, DWORD ANotifyInstance,
    DWORD AOpenFlags, WAVEFORMATEX& AFormatStruct);
bool wavPlayBegin(HWAVEOUT AHWavOut, WAVEHDR& AWavHdr);
void wavPlayEnd(HWAVEOUT AHWavOut, WAVEHDR& AWavHdr);
void wavPlayClose(HWAVEOUT AHWavOut);

bool wavOpenFile(PAVIFILE& ApFile, const char* AFileName,
    unsigned int AMode);
bool wavSaveFile(const char* AFileName, PAVISTREAM ApStream,
    WAVEFORMATEX& ApFormatStruct);
void wavCloseFile(PAVIFILE& ApFile);
bool wavGetFileInfo(PAVIFILE ApFile, AVIFILEINFO& AFileInfo);

bool wavCreateStream(PAVISTREAM& ApStream, PAVIFILE ApFile,
    AVISTREAMINFO& AStreamInfo);
bool wavOpenStream(PAVISTREAM& ApStream, PAVIFILE ApFile);
void wavCloseStream(PAVISTREAM& ApStream);
bool wavGetStreamInfo(PAVISTREAM ApStream, AVISTREAMINFO& AStreamInfo);

long wavCalcFormatStructSize(PAVISTREAM ApStream);
bool wavReadFormatStruct(PAVISTREAM ApStream, WAVEFORMATEX& ApFormatStruct);
bool wavWriteStreamFormat(PAVISTREAM ApStream, WAVEFORMATEX& ApFormatStruct);

long wavCalcBufferSize(PAVISTREAM ApStream);
long wavReadStream(PAVISTREAM ApStream, long AStart, long ANumBytes,
    char* ABuffer);
long wavWriteStream(PAVISTREAM ApStream, long AStart, long ANumBytes,
    char* ABuffer);

//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
#endif
//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
