/*---------------------------------------------------------------------------
  GDIForm.h
        Chapter 15 - GDI / TCanvas Example
        created by Paul Gustavson, 2002
---------------------------------------------------------------------------*/

//---------------------------------------------------------------------------

#ifndef GDIFormH
#define GDIFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------


class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *ButtonDrawCanvas;
        TButton *ButtonDrawGDI;
        TButton *ButtonDrawCanvasGDI;
        TButton *Button1;
        TEdit *EditX;
        TEdit *EditY;
        TLabel *Label1;
        TLabel *Label2;
        TButton *ButtonDrawRect;
        TButton *Button2;
        TButton *ButtonTextOut;
        TButton *ButtonTextRect;
        TButton *Button3;
        TButton *Button4;
        TLabel *Label3;
        void __fastcall ButtonDrawCanvasClick(TObject *Sender);
        void __fastcall ButtonDrawGDIClick(TObject *Sender);
        void __fastcall ButtonDrawCanvasGDIClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall ButtonDrawRectClick(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ButtonTextOutClick(TObject *Sender);
        void __fastcall ButtonTextRectClick(TObject *Sender);
        void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall Button4Click(TObject *Sender);
private:
        bool DrawSelectRegion;
        int oX, oY, lX, lY;
public:		// User declarations
     bool __fastcall Contains(TPoint point, TRect rect);
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
