//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *PanelLeft;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TColorDialog *ColorDialog1;
        TFontDialog *FontDialog1;
        TPanel *PanelRight;
        TPageControl *PageControl1;
        TTabSheet *TabSheet2;
        TLabel *Label14;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label15;
        TEdit *EditFromX;
        TEdit *EditFromY;
        TEdit *EditToY;
        TEdit *EditToX;
        TButton *ButtonLineTo;
        TButton *ButtonRectangle;
        TButton *ButtonDrawSineWave;
        TButton *ButtonDrawHexagon;
        TTabSheet *TabSheet3;
        TRadioGroup *RadioGroupMouse;
        TButton *ButtonRotate;
        TRadioButton *RadioButtonPixelsArray;
        TRadioButton *RadioButtonScanline;
        TButton *ButtonCropToSelection;
        TButton *ButtonBorder;
        TTabSheet *TabSheet4;
        TButton *ButtonSinusoid;
        TButton *ButtonBilinear;
        TButton *ButtonSinusoidFast;
        TButton *ButtonLowPass;
        TButton *ButtonThreshold;
        TButton *ButtonEdge;
        TButton *ButtonInvert;
        TButton *ButtonHIstogram;
        TButton *ButtonZoom;
        TPanel *PanelImage;
        TImage *Image1;
        TCheckBox *CheckBoxStretchImage;
        TGroupBox *GroupBox1;
        TLabel *Label5;
        TEdit *EditX;
        TEdit *EditY;
        TLabel *Label6;
        TLabel *Label7;
        TEdit *EditPixelValue;
        TGroupBox *GroupBox2;
        TLabel *Label8;
        TEdit *EditPenColor;
        TButton *ButtonColor;
        TEdit *EditPenWidth;
        TLabel *Label9;
        TGroupBox *GroupBox3;
        TEdit *EditPixelFormat;
        TLabel *Label4;
        TEdit *EditWidth;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *EditHeight;
        TEdit *EditFile;
        TLabel *Label1;
        TButton *ButtonSave;
        TButton *ButtonLoad;
        TCheckBox *CheckBoxFlickerFree;
        TTabSheet *TabSheet5;
        TEdit *EditText;
        TButton *ButtonApplyText;
        TLabel *Label12;
        TLabel *Label13;
        TLabel *Label17;
        TEdit *EditTextX;
        TEdit *EditTextY;
        TLabel *Label18;
        TLabel *Label19;
        TEdit *EditBrushColor;
        TButton *Button1;
        TLabel *Label16;
        TEdit *EditFont;
        TButton *ButtonFont;
        TCheckBox *CheckBoxClearBrush;
        TPanel *PanelPenColor;
        TPanel *PanelBrushColor;
        TLabel *Label20;
        TEdit *EditFontColor;
        TPanel *PanelFontColor;
        TButton *Button2;
        void __fastcall ButtonLoadClick(TObject *Sender);
        void __fastcall Image1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall ButtonSinusoidClick(TObject *Sender);
        void __fastcall ButtonSinusoidFastClick(TObject *Sender);
        void __fastcall ButtonInvertClick(TObject *Sender);
        void __fastcall ButtonSaveClick(TObject *Sender);
        void __fastcall ButtonZoomClick(TObject *Sender);
        void __fastcall ButtonBilinearClick(TObject *Sender);
        void __fastcall ButtonLowPassClick(TObject *Sender);
        void __fastcall ButtonEdgeClick(TObject *Sender);
        void __fastcall ButtonHIstogramClick(TObject *Sender);
   void __fastcall ButtonThresholdClick(TObject *Sender);
        void __fastcall Image1MouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall Image1MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall ButtonBorderClick(TObject *Sender);
        void __fastcall ButtonColorClick(TObject *Sender);
        void __fastcall ButtonLineToClick(TObject *Sender);
        void __fastcall ButtonRectangleClick(TObject *Sender);
        void __fastcall CheckBoxBezierClick(TObject *Sender);
        void __fastcall ButtonDrawCurveyShapeClick(TObject *Sender);
        void __fastcall ButtonDrawHexagonClick(TObject *Sender);
        void __fastcall ButtonDrawSineWaveClick(TObject *Sender);
        void __fastcall ButtonFontClick(TObject *Sender);
        void __fastcall ButtonApplyTextClick(TObject *Sender);
        void __fastcall ButtonRotateClick(TObject *Sender);
        void __fastcall ButtonCropToSelectionClick(TObject *Sender);
        void __fastcall CheckBoxStretchImageClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
protected:
        // if WM_MOVE_A_WINDOW and WM_STRETCH_A_WINDOW were predefined constants
        // we could do this instead of using MyWndProc...
  	void __fastcall WMEraseBkgnd(TMessage Msg);

//        BEGIN_MESSAGE_MAP
//            VCL_MESSAGE_HANDLER(WM_ERASEBKGND, TMessage, WMEraseBkgnd)
//        END_MESSAGE_MAP(TForm);
private:	// User declarations
        bool MouseDown;
        TPoint points[100];
        int BezierSequence;
        int CurrentPoint;
        int NumCurves;
        bool DrawSelectRegion;
        int oX, oY, lX, lY;
        void __fastcall FreeZoomWindow();
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};



//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
