//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
#ifndef MCI_MANIP_H
#define MCI_MANIP_H

#include <mmsystem.h>
//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>

bool mciCheck(DWORD AErrorNum, bool AReport = true);
int mciGetNumDevices(WORD ADeviceType);
bool mciOpen(MCIDEVICEID& ADevID, const char* AFileName,
    const char* ADevType = NULL, HWND AHCallback = NULL,
    bool AReport = true);
bool mciClose(MCIDEVICEID ADeviceID, HWND AHCallback = NULL,
    bool AReport = true);
bool mciPlay(MCIDEVICEID ADeviceID, DWORD AStart, DWORD AStop,
    HWND AHCallback = NULL, bool AReport = true);
bool mciStop(MCIDEVICEID ADeviceID, HWND AHCallback = NULL,
    bool AReport = true);
bool mciSeek(MCIDEVICEID ADeviceID, DWORD APos, HWND AHCallback = NULL,
    bool AReport = true);
bool mciPause(MCIDEVICEID ADeviceID, HWND AHCallback = NULL,
    bool AReport = true);
bool mciSetTimeFormat(MCIDEVICEID ADeviceID, DWORD ATimeFormat,
    HWND AHCallback = NULL, bool AReport = true);
bool mciStatus(MCIDEVICEID ADeviceID, DWORD AQueryGroup, DWORD AQueryItem,
    DWORD AQueryTrack, DWORD& AResult, bool AReport = true);

//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
#endif
//><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
