//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#pragma hdrstop
#include "MDIChild_DLL.h"
#include "MDIChildForm.h"
#include "SDIForm.h"

#pragma argsused
TApplication *ThisApp = NULL;
HWND  Handle;

BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fwdreason, LPVOID lpvReserved)
{
    // If the DLL is being unloaded then we need to reset its
    // Application instance to what it originally was.
    if (fwdreason == DLL_PROCESS_DETACH)
    {
       if (ThisApp) // any MDIs
           Application = ThisApp;
    }
    return 1;
}

//---------------------------------------------------------------------------
void ShowMDIChildForm(HWND CallingApp)
{
    if (!ThisApp)
    {
        ThisApp = Application;
        Application->Handle = CallingApp;
    }
    FormMDIChild = new TFormMDIChild(Application);
    FormMDIChild->Show();
}

//---------------------------------------------------------------------------

void ShowSDIFormModal(void)
{
    FormSDI = new TFormSDI(NULL);
    FormSDI->ShowModal();
    delete FormSDI;
}



