/*---------------------------------------------------------------------------
  mybcbdll.cpp
        C++Builder Developer's Guide
        Chapter 16 - DLL containing an About Box
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#include "mybcbdll.h"
#pragma hdrstop

#include "AboutForm.h"

#pragma argsused
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void* lpReserved)
{
        return 1;
}

//---------------------------------------------------------------------------
bool INPEXP MsgQuery(char * text)
{
  if (MessageDlg(text, mtConfirmation, TMsgDlgButtons() << mbYes << mbNo, 0) == mrYes)
    return true;
  else
    return false;
}
//---------------------------------------------------------------------------
//void INPEXP AboutBox(char * title, char * version, char * copyright,
//                     char * company, char *link)
bool INPEXP AboutBox(char * title, char * version, char * copyright,
                     char * company, char *link, char *imagefile)
{
/*
    MessageBox(NULL,"About to build form about","debug",MB_OK);
    return true;
}
*/
    FormAbout = new TFormAbout(NULL);

    FormAbout->LabelTitle->Caption     = AnsiString(title);
    FormAbout->LabelVersion->Caption   = AnsiString(version);
    FormAbout->LabelCopyright->Caption = AnsiString(copyright);
    FormAbout->LabelCompany->Caption   = AnsiString(company);
    FormAbout->LabelLink->Caption      = AnsiString(link);
    FormAbout->Caption                 = "About " + AnsiString(title);
    if (imagefile)
      if (FileExists(imagefile))
         FormAbout->ImageLogo->Picture->LoadFromFile(AnsiString(imagefile));
      else
         MessageBox(NULL,"Can not locate image file","Load Error",MB_OK);
    FormAbout->ShowModal();

    delete FormAbout;
    return true;
}
//---------------------------------------------------------------------------
