/*---------------------------------------------------------------------------
  InventoryUnit.h
        C++Builder Developer's Guide
        Chapter 16 - Shared Segmentation DLL Example
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
#ifndef __InventoryUnit_H
#define __InventoryUnit_H

// models...

#define all -1
#define accord 0
#define civic 1
#define crv 2
#define pilot 3

extern "C"
{

// DLL Interface
__declspec( dllexport ) int  CarCount(int model = all, int inventory = 1);
__declspec( dllexport ) int  BuySellCar(int model,int value = 1);
__declspec( dllexport ) int  BuildReturnCar(int model,int value = 1);
__declspec( dllexport ) int  OpenForBusiness(HWND hWindow);
__declspec( dllexport ) int  NumDealerships();
}

#define WM_CAR_CHANGE  (WM_USER + 1001) 

#endif