/*---------------------------------------------------------------------------
  AppStaticForm.cpp
        C++Builder Developer's Guide
        Chapter 16 - Static DLL Load Example
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "AppStaticForm.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
  distance = new TDistance();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonGetVersionClick(TObject *Sender)
{
  EditVersion->Text = AnsiString(distance->GetLibVersion());
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonGetVersion2Click(TObject *Sender)
{
  EditVersion->Text = AnsiString(distance->Version);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::EditMetersChange(TObject *Sender)
{
  double meters = EditMeters->Text.ToDouble();
  distance->Meters = meters;
}

//---------------------------------------------------------------------------

void __fastcall TForm1::EditFeetChange(TObject *Sender)
{
  double feet = EditFeet->Text.ToDouble();
  distance->Feet = feet;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonConvertToMetersClick(TObject *Sender)
{
  EditMeters->Text = AnsiString(distance->Meters);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonConvertToFeetClick(TObject *Sender)
{
  EditFeet->Text = AnsiString(distance->Feet);
}
//---------------------------------------------------------------------------



