/*---------------------------------------------------------------------------
  AppStaticForm.h
        C++Builder Developer's Guide
        Chapter 16 - Static DLL Load Example
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#ifndef AppStaticFormH
#define AppStaticFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "simple.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *ButtonGetVersion;
        TEdit *EditVersion;
        TButton *ButtonGetVersion2;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TButton *ButtonConvertToMeters;
        TButton *ButtonConvertToFeet;
        TEdit *EditFeet;
        TEdit *EditMeters;
        void __fastcall ButtonGetVersionClick(TObject *Sender);
        void __fastcall ButtonGetVersion2Click(TObject *Sender);
        void __fastcall ButtonConvertToMetersClick(TObject *Sender);
        void __fastcall ButtonConvertToFeetClick(TObject *Sender);
        void __fastcall EditFeetChange(TObject *Sender);
        void __fastcall EditMetersChange(TObject *Sender);
private:	// User declarations
        HINSTANCE dllhandle;
        TDistance *distance;
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
