/*---------------------------------------------------------------------------
  Simple.h
        C++Builder Developer's Guide
        Chapter 16 - Simple DLL example - class based
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
#ifndef __SIMPLE_H
#define __SIMPLE_H

#include <vcl.h>

__declspec( dllexport ) class TSimpleClass
{
  private:
     double FVersion;
  public :
     __fastcall TSimpleClass();
     __fastcall ~TSimpleClass();
     double GetLibVersion();
     __property double Version = {read = FVersion};
};


enum Tlast_set { meters=0, feet };

//__declspec( dllexport ) class TDistance : public TObject
__declspec( dllexport ) class TDistance
{
  private:
     double FVersion;
     double FMeters;
     double FFeet;
     void __fastcall SetMeters(double value);
     void __fastcall SetFeet(double value);
     double  __fastcall feet_to_meters();
     double  __fastcall meters_to_feet();
     Tlast_set last_set;
  public :
     __fastcall TDistance();
     __fastcall ~TDistance();
     double GetLibVersion();
//  __published:
     __property double Version = {read = FVersion};
     __property double Meters = {read = feet_to_meters, write = SetMeters};
     __property double Feet = {read = meters_to_feet, write = SetFeet};
};

#endif // __SIMPLE_H
