/*---------------------------------------------------------------------------
  AppStaticForm.h
        C++Builder Developer's Guide
        Chapter 16 - Static Load DLL Example
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#ifndef AppDynamicFormH
#define AppDynamicFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>




//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *ButtonLoadLibrary;
        TEdit *EditVersion;
        TButton *ButtonUnloadLibrary;
        TButton *ButtonGetVersion;
        TButton *ButtonProcAddress;
        TLabel *Label1;
        TEdit *EditDLLHandle;
        TLabel *Label2;
        TButton *ButtonConvertToMeters;
        TButton *ButtonConvertToFeet;
        TEdit *EditFeet;
        TEdit *EditMeters;
        TLabel *Label3;
        TLabel *Label4;
        void __fastcall ButtonLoadLibraryClick(TObject *Sender);
        void __fastcall ButtonUnloadLibraryClick(TObject *Sender);
        void __fastcall ButtonGetVersionClick(TObject *Sender);
        void __fastcall ButtonProcAddressClick(TObject *Sender);
        void __fastcall ButtonConvertToMetersClick(TObject *Sender);
        void __fastcall ButtonConvertToFeetClick(TObject *Sender);
private:	// User declarations
        HINSTANCE dllhandle;
        typedef double (*SIMPLEGETLIBVERSION)();
        SIMPLEGETLIBVERSION simpleGetLibVersion;

        typedef double (*METERS_TO_FEET)(double);
        METERS_TO_FEET meters_to_feet;

        typedef double (*FEET_TO_METERS)(double);
        FEET_TO_METERS feet_to_meters;
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
