/*---------------------------------------------------------------------------
  AppStaticForm.cpp
        C++Builder Developer's Guide
        Chapter 16 - Static Load DLL Example
        Paul Gustavson, 2002
---------------------------------------------------------------------------*/
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "AppStaticForm.h"
#include "simple.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonGetVersionClick(TObject *Sender)
{
  EditVersion->Text = AnsiString(simpleGetLibVersion());
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonConvertToMetersClick(TObject *Sender)
{
     double meters =  feet_to_meters(EditFeet->Text.ToDouble());
     EditMeters->Text = AnsiString(meters);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ButtonConvertToFeetClick(TObject *Sender)
{
     double feet =  meters_to_feet(EditMeters->Text.ToDouble());
     EditFeet->Text = AnsiString(feet);
}
//---------------------------------------------------------------------------

