#include <vcl.h>
#pragma hdrstop

#include <atl\atlmod.h>
#include "ObjBlanketImpl.h"

USERES("Blanket.res");
USEFORM("MainUnit.cpp", frmMain);
USETLB("Blanket.tlb");
USEUNIT("Blanket_TLB.cpp");
USEUNIT("ObjBlanketImpl.cpp"); /* ObjBlanket: CoClass */
USEUNIT("Blanket_ATL.cpp");

TComModule _ProjectModule(0 /*InitATLServer*/);
TComModule &_Module = _ProjectModule;

// The ATL Object map holds an array of _ATL_OBJMAP_ENTRY structures that
// described the objects of your OLE server. The MAP is handed to your
// project's CComModule-derived _Module object via the Init method.
//
BEGIN_OBJECT_MAP(ObjectMap)
  OBJECT_ENTRY(CLSID_ObjBlanket, TObjBlanketImpl)
END_OBJECT_MAP()

WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try {
        CoInitialize(NULL);
        CoInitializeSecurity(NULL, -1, NULL, NULL, RPC_C_AUTHN_LEVEL_CONNECT,
                             RPC_C_IMP_LEVEL_IMPERSONATE, NULL, EOAC_NONE, NULL);

        Application->Initialize();
        Application->Title = "Blanket Server";
        Application->CreateForm(__classid(TfrmMain), &frmMain);

        Application->Run();
    }
    catch (Exception &exception) {
        Application->ShowException(&exception);
    }
    CoUninitialize();
    return 0;
}

