// ************************************************************************ //
// Invokable interface declaration header for CmInch
// ************************************************************************ //
#ifndef   CmInchH
#define   CmInchH

#include <System.hpp>
#include <InvokeRegistry.hpp>
#include <XSBuiltIns.hpp>
#include <Types.hpp>



// ************************************************************************ //
//  Invokable interfaces must derive from IInvokable
//  The methods of the interface will be exposed via SOAP
// ************************************************************************ //
__interface INTERFACE_UUID("{F446E03A-0BAE-437A-98A7-FF503836AE02}") ICmInch : public IInvokable
{
public:
  virtual float STDMETHODCALLTYPE Cm2Inch(float Cm) = 0;
  virtual float STDMETHODCALLTYPE Inch2Cm(float Inch) = 0;
};
typedef DelphiInterface<ICmInch> _di_ICmInch;


#endif // CmInchH
//---------------------------------------------------------------------------


 