//---------------------------------------------------------------------------

#ifndef DataModH
#define DataModH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <DBTables.hpp>
#include <MConnect.hpp>
#include <Provider.hpp>
//---------------------------------------------------------------------------
class TDataModule1 : public TDataModule
{
__published:	// IDE-managed Components
        TDatabase *Database1;
        TSession *Session1;
        TTable *tblCustomer;
        TTable *tblOrders;
        TDataSource *dsCustomerOrders;
        TDataSetProvider *dspCustomerOrders;
        TLocalConnection *LocalConnection1;
        TClientDataSet *cdsCustomer;
        TFloatField *cdsCustomerCustNo;
        TStringField *cdsCustomerCompany;
        TStringField *cdsCustomerAddr1;
        TStringField *cdsCustomerAddr2;
        TStringField *cdsCustomerCity;
        TStringField *cdsCustomerState;
        TStringField *cdsCustomerZip;
        TStringField *cdsCustomerCountry;
        TStringField *cdsCustomerPhone;
        TStringField *cdsCustomerFAX;
        TFloatField *cdsCustomerTaxRate;
        TStringField *cdsCustomerContact;
        TDateTimeField *cdsCustomerLastInvoiceDate;
        TDataSetField *cdsCustomertblOrders;
        TClientDataSet *cdsOrders;
        TDataSource *dsCustomer;
        TDataSource *dsOrders;
        TDCOMConnection *DCOMConnection1;
        TConnectionBroker *ConnectionBroker1;
private:	// User declarations
public:		// User declarations
        __fastcall TDataModule1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDataModule1 *DataModule1;
//---------------------------------------------------------------------------
#endif
