// REMOTEDATAMOD42IMPL.H : Declaration of the RemoteDataMod42

#ifndef RemoteDataMod42ImplH
#define RemoteDataMod42ImplH

#define ATL_FREE_THREADED
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <MidConst.hpp>

#include "DataSnapServer_TLB.H"
#include <DB.hpp>
#include <DBTables.hpp>
#include <Provider.hpp>
#include <atl/atlvcl.h>



// Forward ref. of IAppServer implementor


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
class TRemoteDataMod42 : public TCRemoteDataModule
{
__published:  // IDE-managed Components
        TDatabase *Database1;
        TSession *Session1;
        TTable *tblCustomer;
        TTable *tblOrders;
        TDataSource *dsCustomerOrders;
        TDataSetProvider *dspCustomerOrders;
private:      // User declarations
public:       // User declarations
  __fastcall TRemoteDataMod42(TComponent* Owner);

__published:
};


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
extern PACKAGE TRemoteDataMod42 *RemoteDataMod42;


/////////////////////////////////////////////////////////////////////////////
// TRemoteDataMod42Impl     Implements IRemoteDataMod42, default interface of RemoteDataMod42
// ThreadingModel : Apartment
// Dual Interface : TRUE
// Event Support  : FALSE
// Default ProgID : DataSnapServer.RemoteDataMod42
// Description    : 
/////////////////////////////////////////////////////////////////////////////
class ATL_NO_VTABLE TRemoteDataMod42Impl: REMOTEDATAMODULE_IMPL(TRemoteDataMod42Impl, RemoteDataMod42, TRemoteDataMod42, IRemoteDataMod42)
{
public:

BEGIN_COM_MAP(TRemoteDataMod42Impl)
  RDMOBJECT_COM_INTERFACE_ENTRIES(IRemoteDataMod42)
END_COM_MAP()

  // Data used when registering Object 
  //
  DECLARE_THREADING_MODEL(otApartment);
  DECLARE_PROGID(_T("DataSnapServer.RemoteDataMod42"));
  DECLARE_DESCRIPTION(_T(""));

  // Function invoked to (un)register object
  //
  static HRESULT WINAPI UpdateRegistry(BOOL bRegister)
  {
    TRemoteDataModuleRegistrar regObj(GetObjectCLSID(), GetProgID(), GetDescription());
    // Disable these flags in order to disable use by socket or web connections.
    // Also set other flags to configure the behavior of your application server.
    // For more information, see atlmod.h and atlvcl.cpp.
    regObj.Singleton = false;
    regObj.EnableWeb = true;
    regObj.EnableSocket = true;
    return regObj.UpdateRegistry(bRegister);
  }


// IRemoteDataMod42
protected:
};

#endif  // RemoteDataMod42ImplH

