//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MainForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ClientDataSet1BeforeGetRecords(TObject *Sender,
      OleVariant &OwnerData)
{
  TClientDataSet* Master = dynamic_cast<TClientDataSet*>(Sender);
  if (Master->Active)
  {
    void* Current = Master->GetBookmark();
    try
    {
      Master->Last();
      OwnerData = Master->FieldByName("CustNo")->AsString;
      Master->GotoBookmark(Current);
    }
    __finally
    {
      Master->FreeBookmark(Current);
    }
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ClientDataSet1AfterGetRecords(TObject *Sender,
      OleVariant &OwnerData)
{
  ShowMessage("Number of records at DataSnap server: " +
    WideString(OwnerData));         
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnFetchClick(TObject *Sender)
{
  ClientDataSet1->GetNextPacket();        
}
//---------------------------------------------------------------------------

