// CUSTOMERORDERSIMPL.H : Declaration of the CustomerOrders

#ifndef CustomerOrdersImplH
#define CustomerOrdersImplH

#define ATL_FREE_THREADED
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <MidConst.hpp>

#include "DataSnapServer_TLB.H"
// #include <DB.hpp>
// #include <DBTables.hpp>
#include <Provider.hpp>
#include <DBClient.hpp>
#include <DB.hpp>
#include <atl/atlvcl.h>



// Forward ref. of IAppServer implementor


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
class TCustomerOrders : public TCRemoteDataModule
{
__published:  // IDE-managed Components
        TDataSource *dsCustomer;
        TDataSetProvider *dspCustomerOrders;
        TClientDataSet *tblCustomer;
        TClientDataSet *tblOrders;
        void __fastcall dspCustomerOrdersBeforeGetRecords(TObject *Sender,
          OleVariant &OwnerData);
        void __fastcall dspCustomerOrdersAfterGetRecords(TObject *Sender,
          OleVariant &OwnerData);
private:      // User declarations
public:       // User declarations
  __fastcall TCustomerOrders(TComponent* Owner);

__published:
};


/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
extern PACKAGE TCustomerOrders *CustomerOrders;


/////////////////////////////////////////////////////////////////////////////
// TCustomerOrdersImpl     Implements ICustomerOrders, default interface of CustomerOrders
// ThreadingModel : Apartment
// Dual Interface : TRUE
// Event Support  : FALSE
// Default ProgID : DataSnapServer.CustomerOrders
// Description    : 
/////////////////////////////////////////////////////////////////////////////
class ATL_NO_VTABLE TCustomerOrdersImpl: REMOTEDATAMODULE_IMPL(TCustomerOrdersImpl, CustomerOrders, TCustomerOrders, ICustomerOrders)
{
public:

BEGIN_COM_MAP(TCustomerOrdersImpl)
  RDMOBJECT_COM_INTERFACE_ENTRIES(ICustomerOrders)
END_COM_MAP()

  // Data used when registering Object 
  //
  DECLARE_THREADING_MODEL(otApartment);
  DECLARE_PROGID(_T("DataSnapServer.CustomerOrders"));
  DECLARE_DESCRIPTION(_T(""));

  // Function invoked to (un)register object
  //
  static HRESULT WINAPI UpdateRegistry(BOOL bRegister)
  {
    TRemoteDataModuleRegistrar regObj(GetObjectCLSID(), GetProgID(), GetDescription());
    // Disable these flags in order to disable use by socket or web connections.
    // Also set other flags to configure the behavior of your application server.
    // For more information, see atlmod.h and atlvcl.cpp.
    regObj.Singleton = false;
    regObj.EnableWeb = true;
    regObj.EnableSocket = true;
    return regObj.UpdateRegistry(bRegister);
  }


// ICustomerOrders
protected:
};

#endif  // CustomerOrdersImplH

