
//---------------------------------------------------------------------------

#ifndef wDataModH
#define wDataModH
//---------------------------------------------------------------------------
#include <WebInit.h>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <WebModu.hpp>
#include <DB.hpp>
#include <DBAdapt.hpp>
#include <DBAdaptImg.hpp>
#include <DBClient.hpp>
#include <WebAdapt.hpp>
#include <WebComp.hpp>


//---------------------------------------------------------------------------
class TWebDataModule1 : public TWebDataModule
{
__published:	// IDE-managed Components
        TClientDataSet *cdsBiolife;
        TFloatField *cdsBiolifeSpeciesNo;
        TStringField *cdsBiolifeCategory;
        TStringField *cdsBiolifeCommon_Name;
        TStringField *cdsBiolifeSpeciesName;
        TFloatField *cdsBiolifeLengthcm;
        TFloatField *cdsBiolifeLength_In;
        TMemoField *cdsBiolifeNotes;
        TGraphicField *cdsBiolifeGraphic;
        TDataSetAdapter *dsaBiolife;
        TDataSetAdapterField *AdaptSpeciesNo;
        TDataSetAdapterField *AdaptCategory;
        TDataSetAdapterField *AdaptCommon_Name;
        TDataSetAdapterField *AdaptSpeciesName;
        TDataSetAdapterField *AdaptLengthcm;
        TDataSetAdapterField *AdaptLength_In;
        TDataSetAdapterMemoField *AdaptNotes;
        TDataSetAdapterImageField *AdaptGraphic;
        TDataSetAdapterDeleteRowAction *ActionDeleteRow;
        TDataSetAdapterFirstRowAction *ActionFirstRow;
        TDataSetAdapterPrevRowAction *ActionPrevRow;
        TDataSetAdapterNextRowAction *ActionNextRow;
        TDataSetAdapterLastRowAction *ActionLastRow;
        TDataSetAdapterEditRowAction *ActionEditRow;
        TDataSetAdapterBrowseRowAction *ActionBrowseRow;
        TDataSetAdapterNewRowAction *ActionNewRow;
        TDataSetAdapterCancelRowAction *ActionCancel;
        TDataSetAdapterApplyRowAction *ActionApply;
        TDataSetAdapterRefreshRowAction *ActionRefreshRow;
private:	// User declarations
public:		// User declarations
};

TWebDataModule1 *WebDataModule1();

//---------------------------------------------------------------------------
extern PACKAGE TWebDataModule1 *WebDataModule1();
//---------------------------------------------------------------------------
#endif

