
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "pmBirthday.h"
#include <WebInit.h>
#include <WebReq.hpp>
#include <WebCntxt.hpp>
#include <WebFact.hpp>

USEADDITIONALFILES("*.html");
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TBirthday *Birthday()
{
  return (TBirthday*)WebContext()->FindModuleClass(__classid (TBirthday));
}

static TWebPageAccess PageAccess;
static TWebPageInit WebInit(__classid(TBirthday), crOnDemand, caCache, PageAccess << wpPublished /* << wpLoginRequired */, ".html", "", "", "", "");

const char* const strName = "Name";
const char* const strBirthday = "Birthday";

void __fastcall TBirthday::SubmitNameAndBirthdayExecute(TObject *Sender,
      TStrings *Params)
{
  _di_IActionFieldValue MyValue;
  MyValue = Name->ActionValue;
  if (MyValue->ValueCount == 1)
    Session->Values[strName] = MyValue->Values[0];
  MyValue = Birthday->ActionValue;
  if (MyValue->ValueCount == 1)
    Session->Values[strBirthday] = MyValue->Values[0];
}
//---------------------------------------------------------------------------
void __fastcall TBirthday::NameGetValue(TObject *Sender, Variant &Value)
{
  Value = Session->Values[strName];
}
//---------------------------------------------------------------------------
void __fastcall TBirthday::BirthdayGetValue(TObject *Sender,
      Variant &Value)
{
  Value = Session->Values[strBirthday];
}
//---------------------------------------------------------------------------
