/*---------------------------------------------------------------------------
  wizard_memstatus.h
        Paul Gustavson,  (c) 2002
        Developed for...
                C++Builder Developer's Guide
                Chapter 23 - OT Wizard Example
---------------------------------------------------------------------------*/
#ifndef wizard_memstatusH
#define wizard_memstatusH
//---------------------------------------------------------------------------
#include <ToolsAPI.hpp>
#include <typeinfo>
#include "NotifierObject.h"

class PACKAGE MemStatusWizard : public TNotifierObject, public IOTAMenuWizard {
  typedef TNotifierObject inherited;
public:
  __fastcall MemStatusWizard();
  __fastcall ~MemStatusWizard();

  // override IOTAWizard Methods
  virtual AnsiString __fastcall GetIDString();
  virtual AnsiString __fastcall GetName();
  virtual TWizardState __fastcall GetState();
  virtual void __fastcall Execute();

  // override IOTAMenuWizard method
  virtual AnsiString __fastcall GetMenuText();

  // override NotifierObjectObject  methods
  void __fastcall AfterSave();
  void __fastcall BeforeSave();
  void __fastcall Destroyed();
  void __fastcall Modified();
protected:
  // override IInterface  methods
  virtual HRESULT __stdcall QueryInterface(const GUID&, void**);
  virtual ULONG   __stdcall AddRef();
  virtual ULONG   __stdcall Release();

private:
  void __fastcall action_execute(TObject* Sender);
  void __fastcall action_update(TObject* Sender);

  TMenuItem* menu_item;
  TAction* action;


};
#endif



